Przejdź do głównej treści
GET
/
api
/
v1
/
subscribers
/
{email}
/
consents
Wylistuj zgody subskrybenta
curl --request GET \
  --url https://api.railmail.app/api/v1/subscribers/{email}/consents \
  --header 'X-API-Key: <api-key>'
{
  "subscriberEmail": "jsmith@example.com",
  "globallySuppressed": true,
  "consents": [
    {
      "topicKey": "<string>",
      "topicName": "<string>",
      "status": "<string>",
      "grantedAt": "2023-11-07T05:31:56Z",
      "confirmedAt": "2023-11-07T05:31:56Z",
      "revokedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Parametry ścieżki

email
string<email>
wymagane

URL-encoded subscriber email.

Odpowiedź

Preferencje zgód

subscriberEmail
string<email>
globallySuppressed
boolean
consents
object[]